Package org.springframework.aop.config

# Class PointcutComponentDefinition

java.lang.Object
org.springframework.beans.factory.parsing.AbstractComponentDefinition
org.springframework.aop.config.PointcutComponentDefinition

All Implemented Interfaces:
  `org.springframework.beans.BeanMetadataElement`, `org.springframework.beans.factory.parsing.ComponentDefinition`

public class PointcutComponentDefinition extends org.springframework.beans.factory.parsing.AbstractComponentDefinition
`ComponentDefinition` implementation that holds a pointcut definition.

Since:
  2.0
Author:
  Rob Harrop

## Constructor Summary

Constructors
Constructor
Description
`PointcutComponentDefinition(String pointcutBeanName, org.springframework.beans.factory.config.BeanDefinition pointcutDefinition, String expression)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition[]`
`getBeanDefinitions()`
`String`
`getDescription()`
`String`
`getName()`
`Object`
`getSource()`

### Methods inherited from class org.springframework.beans.factory.parsing.AbstractComponentDefinition

`getBeanReferences, getInnerBeanDefinitions, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PointcutComponentDefinition

public PointcutComponentDefinition(String pointcutBeanName, org.springframework.beans.factory.config.BeanDefinition pointcutDefinition, String expression)

## Method Details

### getName

public String getName()

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `org.springframework.beans.factory.parsing.ComponentDefinition`
Overrides:
  `getDescription` in class `org.springframework.beans.factory.parsing.AbstractComponentDefinition`

### getBeanDefinitions

public org.springframework.beans.factory.config.BeanDefinition[] getBeanDefinitions()

Specified by:
  `getBeanDefinitions` in interface `org.springframework.beans.factory.parsing.ComponentDefinition`
Overrides:
  `getBeanDefinitions` in class `org.springframework.beans.factory.parsing.AbstractComponentDefinition`

### getSource

@Nullable public Object getSource()